#include <iostream>
#include <string>
#include "boost/filesystem.hpp"
#include "boost/progress.hpp"
#include <locale>

namespace fs = boost::filesystem;

int main(void) {

	boost::progress_timer t(std::clog);
	fs::recursive_directory_iterator end;
	fs::path path("d:\\test_folder");
	fs::recursive_directory_iterator iter(path);

	while (iter != end) {
		fs::path p;
		try {
			p = *iter;

			if (fs::is_directory(p)) {
				std::cout << p.directory_string() << " [directory]"
						<< std::endl;
			}
			if (fs::is_regular(p)) {
				std::cout << p.file_string() << " [file]" << std::endl;
			}

			iter++;
		} catch (const std::exception & ex) {
			std::cerr << ex.what() << std::endl;
			break;
		}
	}

//	if(std::string(std::setlocale(LC_ALL, "")).find(".950")){
//		std::cout << "950" << std::endl;
//	}

	std::string a("d");
//	a.find_last_of()
	return EXIT_SUCCESS;
}
